Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.csv
Class CSVDump

    java.lang.Object
      com.mindprod.csv.CSVDump

    public final class CSVDump

extends java.lang.Object

display a csv file with fields separated with |.

Use: java.exe com.mindprod.CSVDump somefile.csv

Since:
  1998
Version:
  3.0 2009-06-15 - lookup table to speed CSVReader
Author:
  Roedy Green, Canadian Mind Products

Constructor Summary
`CSVDump(java.io.File file, char separator, char quote, java.lang.String commentChars)` Dump CSV file.

Method Summary
`static void` | `main(java.lang.String[] args)` Simple command line interface to CSVPack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVDump

    public CSVDump(java.io.File file,
                   char separator,
                   char quote,
                   java.lang.String commentChars)
            throws java.io.IOException

  Dump CSV file.

  Parameters:
    `file` - CSV file to be dumped
    `separator` - field separator character, usually ',' in North America, ';' in Europe and sometimes '\t' for tab.
    `quote` - char to use to enclose fields containing a separator, usually '\"'. Use (char)0 if you don't want a quote character.
    `commentChars` - characters that mark the start of a comment, usually "#", but can be multiple chars. Note this is a "string" not a 'char'.
  Throws:
    `java.io.IOException` - if problems reading file

Method Detail

### main

    public static void main(java.lang.String[] args)

  Simple command line interface to CSVPack. Packs one csv file whose name is on the command line. Must have extension .csv
  Use java com.mindprod.CSVPack somefile.csv

  Parameters:
    `args` - name of csv file to remove excess quotes and space

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD